Subject: bug#51133: [PATCH 1/1] Tolerate http response line without reason phrase

From: Alexey Abramov <[email-masked]>
Date: Tue, 12 Oct 2021 10:26:22 +0200

Hi,

I agree that it is not a complient http response, but unfortunately I
came across with some http services (redfish, cimc from Cisco ), where
they don't put a reason phrase. As you can see the difference is that
response line doesn't have a space after the response code, that is why
it raise an exception even though the documentation says 'and the
(possibly empty) "reason phrase"'. 

I would call it as a follow up to f53145d41.

-- 
Alexey